| Правила | Регистрация | Пользователи | Поиск | Сообщения за день | Все разделы прочитаны |  Справка по форуму | Файлообменник |

Вернуться   Форум DWG.RU > Программное обеспечение > Программирование > Как оптимизировать оцифровку точек и полилиний с координатой Z

Как оптимизировать оцифровку точек и полилиний с координатой Z

Ответ
Поиск в этой теме
Непрочитано 12.02.2019, 10:00 #1
Как оптимизировать оцифровку точек и полилиний с координатой Z
zwxaez
 
Регистрация: 23.04.2018
Сообщений: 3

Доброго времени суток уважаемые!
Для создания матрицы высот в другом продукте, производится оцифровка ОТМЕТОК высот и горизонталей в AutoCAD (по растровым топографическим подложкам).

Но чувствую, что делаю работу топорно.

В частности:
1. Ставлю точку мышью(POINT)
2. Escape
3. Выбор точки мышью
4. Вбивание в геометрию отметки высоты Z (значение смотрю на растре)
5. ENTER
6. Escape.
Go To 1

Точек много - десяток тысяч, после 100-ой ум за разум заходит,
а впереди еще горизонтали - полилинии.

Поискал на этом форуме решение (и в нете), но то ли плохо искал, то ли его нет для простого autocada, - не нашел.

Как реализовать это в лиспе?
Точка должна быть именно точкой (POINT) и без подписей.
Логика работы лиспа представляется следующей:

1. Щелчок мышью - ставиться точка
2. В командной строке появляется запрос на ввод "Отметка:"
3. После ENTER GOTO 1

Аналогично с полилинией (геометрию высоты горизонтали заносим в УРОВЕНЬ).
Просмотров: 4077
 
Непрочитано 12.02.2019, 10:18
#2
trir


 
Регистрация: 18.12.2010
Сообщений: 4,756


1. нужны только точки
2. Civil 3D так и работает
3. есть RasterDesk
trir вне форума  
 
Автор темы   Непрочитано 12.02.2019, 10:51
#3
zwxaez


 
Регистрация: 23.04.2018
Сообщений: 3


Цитата:
Сообщение от trir Посмотреть сообщение
1. нужны только точки
2. Civil 3D так и работает
3. есть RasterDesk
это конечно хорошо, нужно для простого autocada, вроде операции не сложные

Это конечно круто, но для простого пользователя доступен только автокад

Последний раз редактировалось Кулик Алексей aka kpblc, 12.02.2019 в 11:08.
zwxaez вне форума  
 
Непрочитано 12.02.2019, 11:15
#4
trir


 
Регистрация: 18.12.2010
Сообщений: 4,756


http://www.easytrace.com/program/et799_ru
trir вне форума  
 
Непрочитано 12.02.2019, 11:18
#5
Boxa

КЖ; C#
 
Регистрация: 03.11.2005
Санкт-Петербург
Сообщений: 2,495


Хорошо, простой автокад и лисп.
Вы хотите, что бы программа работала как то так:
Цитата:
Сообщение от zwxaez Посмотреть сообщение
1. Щелчок мышью - ставиться точка
2. В командной строке появляется запрос на ввод "Отметка:"
3. После ENTER GOTO 1
Каждый пункт по отдельности достаточно прост и не должен вызывать трудности...
Соответственно вопросы:
Что Вы сами уже написали?
Что именно у Вас не получается?
__________________
_бложиг
Boxa вне форума  
 
Непрочитано 12.02.2019, 13:10
#6
koMon


 
Блог
 
Регистрация: 26.09.2017
Сообщений: 1,347


Цитата:
Сообщение от zwxaez Посмотреть сообщение
2. В командной строке появляется запрос на ввод "Отметка:"
3. После ENTER GOTO 1
а куда после ENTER идут введённые отметки? то есть что из себя представляет матрица?
koMon вне форума  
 
Непрочитано 12.02.2019, 13:54
#7
engngr

сети
 
Регистрация: 03.11.2008
Московия*
Сообщений: 5,488


Можно написать простой макрос, типа:
*^C^C_point;\_change;_l;;_p;_el;\;

Читайте В. Света.
engngr вне форума  
 
Непрочитано 12.02.2019, 14:41
#8
Семёныч


 
Регистрация: 08.12.2018
Сообщений: 165


Цитата:
Сообщение от koMon Посмотреть сообщение
а куда после ENTER идут введённые отметки?
ЯТД, что введённая отметка становится координатой Z указанной в плане точки.
Семёныч вне форума  
 
Автор темы   Непрочитано 13.02.2019, 13:32
#9
zwxaez


 
Регистрация: 23.04.2018
Сообщений: 3


Благодарю всех, откликнувшихся!

2trir: лайк, но к сожалению не применимо к машине, доступ к которой ограничен

2Boxa: я пока в этом деле ноль без палочки (
но хочу научиться, может книгу или ресурс подскажете?

2koMon, 2Семёныч: да, верно! значение отметки идет в координату Z

2engngr: за прошедшие дни научился лисп прикручивать к автокаду, с вашей подсказкой согласен, еще почитаю, как в "оболочку" её сделать
"Читайте В. Света." - это книга? не могли бы её название подсказать?

...
Добавлено позже: сенк engngr!
нашел В. Свет Язык Макрокоманд https://dwg.ru/dnl/load/3480
zwxaez вне форума  
 
Непрочитано 13.02.2019, 14:48
#10
Vladimir_Sergeevich

рисую дороги, в перерывах курю Lisp
 
Регистрация: 20.04.2011
Пермь
Сообщений: 475
<phrase 1= Отправить сообщение для Vladimir_Sergeevich с помощью Skype™


Цитата:
Сообщение от zwxaez Посмотреть сообщение
1. Щелчок мышью - ставиться точка
2. В командной строке появляется запрос на ввод "Отметка:"
3. После ENTER GOTO 1
Когда то делал подобное с точками, найти не могу...
сделай функцию простую сам: getpoint в переменную X, getreal в переменную Y,
(setq X (list (car X) (cadr X) Y))
(vla-addPoint (sad-get-currentSpace) (vlax-3d-point X))
и все это в цикл

Цитата:
Сообщение от zwxaez Посмотреть сообщение
Аналогично с полилинией (геометрию высоты горизонтали заносим в УРОВЕНЬ).
Зато под рукой есть инструмент оцифровки горизонталей. только Z руками вводить придется в свойствах линии или запрос прикручивать.
Писал по просьбе нашего гидролога, который постоянно с карт генштабовских срисовывает водосборные бассейны
Код:
[Выделить все]
 
(vl-load-com)
(defun c:g-dc ( / pt_lst temp)  ;;draw-curve
(if (null *step*) (setq *step* 20.0))
(setq temp *step*)
(setq pt_lst '() *step* (getreal (strcat"\nЗадайте шаг: <" (rtos *step* 2 0) ">" ))) 
(if (null *step*) (setq *step* temp))
(setq temp nil pt_lst (cons (getpoint "\nукажите начальную точку") pt_lst))	
(while (/= (car (setq temp (grread t 9 0 ))) 3)
	(if (> (distance (car pt_lst) (cadr temp)) *step*)
		(setq pt_lst (cons (cadr temp) pt_lst)))) ;;while
(if (osnap (cadr temp) "_end,_nea")
	(setq temp (osnap (cadr temp) "_end,_nea"))
	(setq temp (cadr temp)))
(setq pt_lst (cons temp pt_lst)) ;;last pt
(sad-addLightWeightPolyline nil (reverse pt_lst) nil nil)
(princ)) 

(defun sad-addLightWeightPolyline (owner pt_lst blg_lst draw_opt / obj i) ;|Отрисовка полилинии ActivX
	(sad-addLightWeightPolyline nil (list (getpoint) (getpoint) (getpoint)) '(0 0) nil)
	Аргументы 
	*  Указатель на владельца или nil
	*  Список из точек (не менее двух)
	*  Список кривизны
	*  Cписок опций. По умолчанию - активные настройки (поддерживаются все свойства размера, кроме RO) 
		'("Layer" "Размеры ЭН")
		'("" "")	
	Возвращаемое значение
	*  Указатель на созданный объект
	|;
(if (not owner) (setq owner (sad-get-CurrentSpace))) ;;если не указано другого - активное пространство активного документа	
(setq pt_lst ;;convert to 2d-point-list
	(apply 
		'append 
		(mapcar 
			'list 
			(mapcar 'car pt_lst)
			(mapcar 'cadr pt_lst)
		) 
	) 
	i 0
) 
(if (> (length pt_lst) 2)
  (setq obj 
	(vla-addLightWeightPolyline	
		owner 
		(vlax-make-variant
			(vlax-safearray-fill
				(vlax-make-safearray
					vlax-vbDouble
					(cons 0 (1- (length pt_lst)) )
				) 
				pt_lst
			)
		) 
	)
  ) 
  (princ "\n Попытка построить полилинию из одной точки! ")
) 
(foreach blg blg_lst
	(vl-catch-all-apply 
		'(lambda ()
			(vla-setBulge obj i blg )
		)
	)
	(setq i (1+ i))
)
(sad-change-property obj draw_opt)
)  ;;sad-addLightWeightPolyline

(defun sad-change-property (obj draw_opt) ;|внутрення функция
	присовение примитиву свойств ActivX
	Аргументы:
	* указатель на объект - vla-object
	* список опций
	Возвращаемое значение 
	* указатель на объект - vla-object
	|;
	(foreach opt draw_opt
		(vl-catch-all-apply 
			'(lambda ()
				(vlax-put-property obj (car opt) (cadr opt))
			)
		)
	)
	;;(vla-update obj)
	obj
);;

(defun sad-get-CurrentSpace ( ) ;|получение активного пространства в активном документе
	*аргументов нет
	*возвращаемое значение указатель на модель или лист
	|;
	(if
		(= (vla-get-ActiveSpace (vla-get-activedocument (vlax-get-acad-object))) 1)
		(vla-get-ModelSpace (vla-get-activedocument (vlax-get-acad-object)))
		(if 
			(= (vla-get-MSpace (vla-get-activedocument (vlax-get-acad-object))) :vlax-false)
			(vla-get-PaperSpace (vla-get-activedocument (vlax-get-acad-object)))
			(vla-get-ModelSpace (vla-get-activedocument (vlax-get-acad-object)))
		)
	) 
);  
__________________
Не труд сделал из обезьяны человека, а лень и жажда халявы...
Vladimir_Sergeevich вне форума  
 
Непрочитано 13.02.2019, 14:55
1 | #11
VVA

Инженер LISP
 
Регистрация: 11.05.2005
Минск
Сообщений: 6,906
<phrase 1= Отправить сообщение для VVA с помощью Skype™


zwxaez, Макрос engngr переписанный на лиспе
Код:
[Выделить все]
(defun C:ZPOINT ( / pt z)
  (while   ;_цикл
    (setq pt (getpoint "\nУкажите точку<выход>: ")) ;_пока не нажмем ENTER
   (command-s "_.POINT" pt) ;_Рисуем точку
   (setq z (getreal "\nКоордината Z: ")) ;_Зарос Z
   (command-s
            "_.CHANGE"
            "_L" ;_выбираем последний объект
            ""   ;_подтверждаем выбор
            "_P" ;_Опция Свойства (Propities)
            "_EL" ;_опция Уровень (ELevation)
            z
            "" ;_Завершаем команду
            )
    );_ end of while
  (princ)
 )
(princ "\nНаберите ZPOINT в командной строке")
(princ)
__________________
Как использовать код на Лиспе читаем здесь
VVA вне форума  
 
Непрочитано 13.02.2019, 15:11
#12
koMon


 
Блог
 
Регистрация: 26.09.2017
Сообщений: 1,347


zwxaez,
рисуются точки (point) с текущими параметрами pdmode, pdsize в текущем незаблокированном слое с введённым Z. правильность ввода Z проверяется. при указании на полилинию в диалог выводится текущий уровень полилинии. весь ввод накопительно пишется в статистику <имя dwg файла>.csv. подтверждение в диалоге <Enter>. все остальные специальные клавиши выход из диалога.

Код:
[Выделить все]
 
;*********************************************************************************************************************************************************

;                                                                koMon & Co ;^)

;*********************************************************************************************************************************************************

																 (vl-load-com)

;*********************************************************************************************************************************************************

(defun normalize_string (input_string /)
	(if (= (abs (- (atof input_string) (fix (atof input_string)))) 0)
		(strcat (itoa (fix (atof input_string))) ".0")
		(vl-string-right-trim "0" (rtos (atof input_string)))
	)
)

;*********************************************************************************************************************************************************

(defun check_string_number (input_string / allowable_chars invalid_symbol_not_found input_string_listed input_string_listed_index)
	(if (/= "" input_string)
		(progn
			(setq allowable_chars (vl-string->list "-0123456789.")
				  input_string_listed (vl-string->list (vl-string-subst "." "," input_string))
				  invalid_symbol_not_found t
				  input_string_listed_index 0
			)
			(cond
					(
						(> (length (vl-remove-if-not
  						   		   					'(lambda (list_element)
														(or
															(= 45 list_element)
															(= 46 list_element)
														)
	   						 				 		 )
  											 		input_string_listed
  									)
						   )
						   1
						)
							(setq invalid_symbol_not_found nil)
					)
					(
						(> (vl-position 45 input_string_listed) 0)
							(setq invalid_symbol_not_found nil)
					)
					(
						t
							(while (and invalid_symbol_not_found (< input_string_listed_index (length input_string_listed )))
								(if (not (member (nth input_string_listed_index input_string_listed) allowable_chars))
									(setq invalid_symbol_not_found nil)
									(setq input_string_listed_index (1+ input_string_listed_index))
								)
							)
					)
			)
		)
		(setq invalid_symbol_not_found nil)
	)
	invalid_symbol_not_found
)

;*********************************************************************************************************************************************************

(defun get_point_object (parsed_function parsed_parameter_list / picked_point cycle_on point_object lwpline_entity)
	(setq cycle_on t)
	(while cycle_on
		  			 (setq picked_point (vl-catch-all-apply parsed_function parsed_parameter_list))
					 (cond
					 		(
								(= 'vl-catch-all-apply-error (type picked_point))
					 				(setq cycle_on nil
										  point_object nil
									)
							)
							(
								(null picked_point)
							)
							(
								(and
									(nentselp (trans picked_point 1 0))
									(= "LWPOLYLINE" (cdr (assoc 0 (entget (setq lwpline_entity (car (nentselp (trans picked_point 1 0))))))))
								)
										(setq point_object (vlax-ename->vla-object lwpline_entity)
											  z_header_string "Введите отметку горизонтали"
											  cycle_on nil
											  z_mark_string (normalize_string (rtos (vla-get-elevation point_object)))
										)
							)
							(
								t
									(setq point_object (vla-AddPoint modelSpace_object (vlax-3d-point (trans picked_point 1 0)))
										  z_header_string "Введите высотную отметку"
										  cycle_on nil
										  z_mark_string (normalize_string z_mark_string)
									)
									(vla-Update (vlax-get-acad-object))
							)
					 )
	)
	(list point_object picked_point)
)

;*********************************************************************************************************************************************************

(defun zp_write_dialog_file ( / Temp_File_Path dcl_file_id dcl_filename_full)
	(setq Temp_File_Path (vla-get-TempFilePath (vla-get-Files (vla-get-Preferences (vlax-get-acad-object))))
		  dcl_filename_full (vl-filename-mktemp "zm" Temp_File_Path ".dcl"])
		  dcl_file_id (open dcl_filename_full "w")
	)
	(mapcar '(lambda (dcl_str) (write-line dcl_str dcl_file_id))
		'(
			"Z_Mark : dialog {"
			          			"label = \"Ввод Z отметки/уровня горизонтали\";"
			          			": column {"
											": row 		  {"
													   			": text 	 {"
    		  										   						   	"key = \"Z_Header\";"
  		  											   						   	"width = 27;"
													   				       	"}"
			          			    			   	   			": edit_box   {"
			          			    				   				 			"key = \"Z_Mark\";"
			          			    				   				  			"width = 14;"
  		  											   							"edit_limit = 13;"
			          			    				   				  			"initial_focus = true;"
				      					  			   				   			"allow_accept = true;"
			          			    				   				 		 "}"
													   	 		"spacer_1;"
												  		 "}"
				  	  						": spacer 	  {"
				  	  									   		"height = 2;"
				  	  								   	 "}"
			      	  						": row    	  {"
				  	  											": spacer 	  {"
				  	  														   		"width = 24;"
				  	  													   	 "}"
			      	  							        		": button {"
			      	  							        						"key = \"Cancel\";"
			      	  							        						"label = \" Cancel \";"
				  	  							    							"fixed_width = true;"
				  	  							    							"width = 10;"
				  	  							    							"height = 2;"
			      	  							        						"is_cancel = true;"
			      	  							        				 "}"
			      	  							        		"spacer_1;"
			      	  								     "}"
			        					 "}"
							"}"
		 )
	)
	(close dcl_file_id)
	dcl_filename_full
)

;*********************************************************************************************************************************************************

(defun c:Z_Mark (/ modelSpace_object getting_point dialog_position dcl_dialog_full_name current_object_picked_point_list diag_result
				   zm_dcl_id z_mark_story z_horizont_story z_point_index add_Z_mark time_stamp statistics_filename_full statistics_file_id
				)
	(setq modelSpace_object (vla-get-ModelSpace (vla-get-ActiveDocument (vlax-get-acad-object)))
		  getting_point t
		  z_mark_string (if (null z_mark_string) "" z_mark_string)
		  dialog_position (list -1 -1)
		  z_mark_story '()
		  z_horizont_story '()
	)
	;***********************************************************************************************
	(defun add_Z_mark (set_object_point_list z_mark_string / point_coordinates )
		(cond
				(
					(= "AcDbPolyline" (vla-get-objectname (car set_object_point_list)))
						(vla-put-elevation (car set_object_point_list) (atof z_mark_string))
						(setq z_mark_string (normalize_string z_mark_string)
							  z_horizont_story (cons (strcat "Уровень горизонтали через точку (" (normalize_string (rtos (car (cadr set_object_point_list)))) ", "
																							 	(normalize_string (rtos (cadr (cadr set_object_point_list))))
																						 	 "): "
														  	 z_mark_string
												 	 )
							  					 	 z_horizont_story
											)
						)
				)
				(
					(= "AcDbPoint" (vla-get-objectname (car set_object_point_list)))
						(setq point_coordinates (list
														(car (cadr set_object_point_list))
														(cadr (cadr set_object_point_list))
														(atof z_mark_string)
												)
						)
						(vla-put-coordinates (car set_object_point_list) (vlax-make-variant (vlax-3d-point point_coordinates)))
						(setq z_mark_story (cons (strcat "Высотная отметка:\t" (normalize_string (rtos (car point_coordinates)))  ", "
																			  (normalize_string (rtos (cadr point_coordinates))) ", "
																			  (normalize_string (rtos (caddr point_coordinates)))
												 )
							  					 z_mark_story
											)
						)
				)
				(
					t
				)
		)
	)
	;***********************************************************************************************
	(setq dcl_dialog_full_name (zp_write_dialog_file))
	(if (car (setq current_object_picked_point_list (get_point_object 'getpoint (list "\rУкажите точку или кликните на полилинии: "))))
		(while getting_point
			(if (null (setq zm_dcl_id (load_dialog dcl_dialog_full_name)))
				(progn
					(alert "Ошибка загрузки DCL файла!")
					(setq getting_point nil)
				)
				(progn
					(if (null (new_dialog "Z_Mark" zm_dcl_id "" dialog_position))
						(progn
							(alert "Ошибка загрузки DCL файла!")
							(setq getting_point nil)
						)
						(progn
							(set_tile "Z_Mark" z_mark_string)
							(set_tile "Z_Header" z_header_string)
							(action_tile "Cancel" "(done_dialog 0)")
							(action_tile "Z_Mark" "(cond
															(
												   				(= 2 $reason)
																	(done_dialog 0)
															)
															(
																t
												   					(if (check_string_number (setq z_mark_string (get_tile \"Z_Mark\")))
												   								(progn
												   										(setq dialog_position (done_dialog 1))
												   										(add_Z_mark current_object_picked_point_list (setq z_mark_string (vl-string-subst \".\" \",\" z_mark_string)))
												   								)
																				(alert \"Неверное число!\")
												   					)

															)
												   )
												   "
							)
							;********************************
							(setq diag_result (start_dialog))
							(unload_dialog zm_dcl_id)
							;********************************
							(cond
								(
									(= diag_result 1)
										(if (null (car (setq current_object_picked_point_list (get_point_object 'getpoint (list "\rУкажите местоположение точки: ")))))
											(progn
												(setq getting_point nil)
											)
										)
								)
								(
									t
										(if (= "AcDbPoint" (vla-get-objectname (car current_object_picked_point_list)))
											(vla-erase (car current_object_picked_point_list))
										)
										(setq getting_point nil)
								)
							)
						)
					)
				)
			)
		)
	)
	(princ "\nКоманда завершена.\n")
	(vl-file-delete dcl_dialog_full_name)
	(lambda () 'vlax-release-object '( modelSpace_object (car current_object_picked_point_list)))
	(setq statistics_filename_full (strcat (vla-get-path (vla-get-Activedocument (vlax-get-acad-object))) "\\" (vl-filename-base (vla-get-name (vla-get-Activedocument (vlax-get-acad-object)))) ".csv")
		  z_mark_story (append z_mark_story z_horizont_story)
		  z_point_index (length z_mark_story)
	)
	(if (null (findfile statistics_filename_full))
		(setq new_stat_file_is_being_created t)
		(setq new_stat_file_is_being_created nil)
	)
	(while (null (setq statistics_file_id (open statistics_filename_full "a")))
		(alert (strcat "Для продолжения закройте файл статистики\n"
					   "\"" statistics_filename_full "\""
			   )
		)
	)
	(if new_stat_file_is_being_created (princ "№, Тип отметки, X, Y, Z/Уровень\n" statistics_file_id))
	(foreach z_entry z_mark_story
		(princ (strcat
					(cond
						(
							(< z_point_index 10)
								(strcat "00" (itoa z_point_index))
						)
						(
							(< z_point_index 100)
								(strcat "0" (itoa z_point_index))
						)
						(
							t
								(itoa z_point_index)
						)
					)
					". " z_entry "\n"
			   )
		)
		(princ (strcat (itoa z_point_index) "," (vl-string-translate "\t():" ",,, " z_entry) "\n") statistics_file_id)
		(setq z_point_index (1- z_point_index))
	)
	(setq time_stamp (rtos (getvar 'cdate))
		  z_header_string nil
	)
	(princ (strcat "0,##################################   " (substr time_stamp 7 2) "." (substr time_stamp 5 2) "." (substr time_stamp 1 4) " " (substr time_stamp 10 2) ":" (substr time_stamp 12) "\n") statistics_file_id)
	(close statistics_file_id)
	(princ (strcat "\nСтатистика записана в файл: \"" statistics_filename_full "\""))
	(princ)
)

;*********************************************************************************************************************************************************

Последний раз редактировалось koMon, 07.03.2019 в 14:07.
koMon вне форума  
 
Непрочитано 13.02.2019, 18:29
#13
Boxa

КЖ; C#
 
Регистрация: 03.11.2005
Санкт-Петербург
Сообщений: 2,495


А у меня как то так получилось...
Код:
[Выделить все]
 (defun c:addpointz (/ ent z_coord pt)
  (while (progn (initget "Выход")
                (vl-cmdf "_.POINT" (getpoint "\nРисовать точку <Выход>: "))
                (setq ent (entlast))
                (setq z_coord(getreal "Координата Z: ")) ;Z
                (setq pt (cdr(assoc 10 (entget ent))))
                ((lambda (ent-list)
                    (entmod (subst
                        (cons 10 (list (car pt) (cadr pt) z_coord))
                        (assoc 10 ent-list)
                    ent-list)))
                (entget ent))
         )
     (while (not (zerop (getvar "cmdactive"))) (vl-cmdf pause))
  )
  (princ)
)
__________________
_бложиг
Boxa вне форума  
 
Непрочитано 14.02.2019, 09:17
#14
koMon


 
Блог
 
Регистрация: 26.09.2017
Сообщений: 1,347


Цитата:
Сообщение от Boxa Посмотреть сообщение
А у меня как то так получилось...
наверное нужно подпись подкорректировать
koMon вне форума  
 
Непрочитано 14.02.2019, 13:28
1 | #15
Vov.Ka


 
Регистрация: 21.07.2008
Луцьк
Сообщений: 179


Код:
[Выделить все]
 (while (vl-cmdf "_POINT" ".XY" pause))
Vov.Ka вне форума  
 
Непрочитано 14.02.2019, 14:13
1 | #16
Кулик Алексей aka kpblc
Moderator

LISP, C# (ACAD 200[9,12,13,14])
 
Регистрация: 25.08.2003
С.-Петербург
Сообщений: 38,686


В последних версиях vl-cmdf всегда возвращает t
__________________

---
Обращение ко мне - на "ты".
Все, что сказано - личное мнение.
Кулик Алексей aka kpblc вне форума  
 
Непрочитано 14.02.2019, 14:24
#17
Vov.Ka


 
Регистрация: 21.07.2008
Луцьк
Сообщений: 179


Цитата:
Сообщение от Кулик Алексей aka kpblc Посмотреть сообщение
В последних версиях vl-cmdf всегда возвращает t
и по ESC?
Vov.Ka вне форума  
 
Непрочитано 14.02.2019, 14:24
#18
Сергей812


 
Регистрация: 10.08.2013
Сообщений: 9,768


Цитата:
Сообщение от Кулик Алексей aka kpblc Посмотреть сообщение
В последних версиях vl-cmdf всегда возвращает t
а решение с твоего сайта разве не работает?
Сергей812 вне форума  
 
Непрочитано 14.02.2019, 14:30
#19
Кулик Алексей aka kpblc
Moderator

LISP, C# (ACAD 200[9,12,13,14])
 
Регистрация: 25.08.2003
С.-Петербург
Сообщений: 38,686


Ну, у меня пока работает
__________________

---
Обращение ко мне - на "ты".
Все, что сказано - личное мнение.
Кулик Алексей aka kpblc вне форума  
Ответ
Вернуться   Форум DWG.RU > Программное обеспечение > Программирование > Как оптимизировать оцифровку точек и полилиний с координатой Z

Размещение рекламы
Опции темы Поиск в этой теме
Поиск в этой теме:

Расширенный поиск


Похожие темы
Тема Автор Раздел Ответов Последнее сообщение
Какой язык перспективен для инженера-конструктора с условием The_Mercy_Seat Программирование 705 17.03.2021 14:19
Проблемы с построением полилиний по номерам точек COGO Stoner Программирование 11 01.06.2015 19:33
Можно ли объект, состояший из полилиний как-нибудь переделать в такой же,только состоящий из точек? Ольга12345 AutoCAD 23 29.06.2010 13:59
Построение точек, полилиний по координатам X,Y,Z vitos_ Вертикальные решения на базе AutoCAD 10 21.11.2009 15:32
Удаление лишних точек из полилиний v1958 AutoCAD 2 24.10.2008 05:57